html, body {
  position: relative;
  display: flex;
  flex-direction: column;
  height: 100%;
  margin: 0px;
  padding: 0px;
  font-family: 'Roboto', sans-serif;
  scroll-behavior: smooth;
  overflow-y: auto;
}

.container-fluid {
  display: flex;
  flex-direction: column;
  height: auto;
  flex-grow: 1;
  overflow-y: auto;
  padding: 0px;
} 

.footer-menu {
  width: 100%;
  height: 80px;
  background-color: #f5f5f5;
  border-top: 1px solid transparent;
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.2);
}

.selectors, .block{
    height:100%;
    width:100%;
}

.selectors button{
    border: 0;
    border-radius: 0;
    background-color: #f8f9fa !important;
    width:25%;
    margin-left: 0;
}

.selectors button:active{
    border:0;
}

.selectors button:focus{
    border:0;
    outline: 0;
    box-shadow: 0 0 0 0px;
}

.active, .selector-holder{
    display: flex;
    flex-direction: column;
}

.inactive{
    display: none;
}

.selector-holder span{
    font-size: 0.8rem;
}

/* Colors of the buttons*/
.button-active, .selectors button:hover, .selectors button:active, .selectors button:focus{
    color: #ff0000;
}

.button-inactive{
    color: #000;
}

#page-lessons {
  padding: 20px;
}

.lesson-item-view-lesson {
  padding: 10px;
  color: #222;
  border-radius: 2px;
  font-size: 15px;
  font-weight: 400;
  letter-spacing: 0.3px;
}

.active-lesson-item {
  background: #d4edda;
  font-weight: 500;
}

.lesson-item-view-lesson:hover {
  text-decoration: none;
  opacity: 0.9;
}

.lesson-item-view-lesson img {
  width: 20px;
  margin-right: 10px;
}

.preview-lesson-item-view-lesson {
  margin: 0px 20px;
  font-size: 12px;
  color: #3F51B5;
}

.not-paid-lesson-item-view-lesson {
  padding: 10px;
  color: #bbb;
  border-radius: 2px;
  font-size: 15px;
  font-weight: 400;
  letter-spacing: 0.3px;
  cursor: pointer;
}

.not-paid-lesson-item-view-lesson img {
  width: 20px;
  margin-right: 10px;
  filter: grayscale(1);
}

.free-lesson-item {
  color: #222;
}

.free-lesson-item img {
  filter: grayscale(0);
}

.free-lesson-item:hover {
  opacity: 0.9;
}

.locked-lesson-item-view-lesson {
  padding: 10px;
  color: #bbb;
  border-radius: 2px;
  font-size: 15px;
  font-weight: 400;
  letter-spacing: 0.3px;
}

.locked-lesson-item-view-lesson:hover {
  text-decoration: none;
  color: #bbb;
}

.locked-lesson-item-view-lesson img {
  width: 20px;
  margin-right: 10px;
  filter: grayscale(1);
}

.start-time-lesson-item-view-lesson {
  font-size: 12px;
  margin-left: 10px;
}


.add-lesson-view-lesson {
    padding: 10px;
     cursor: pointer;
     font-size: 13px;
     font-weight: 300;
     color: #ffffff;
     background: linear-gradient(45deg, #4934c1, #07a76c);
     width: fit-content;
     border-radius: 20px;
     margin: 10px;
}

.add-lesson-view-lesson:hover{
    opacity: 0.8;
}

.add-lesson-view-lesson img{
  width: 20px;
}

.solution-box {
    color: #222;
    padding: 10px;
    cursor: pointer;
}

.sweetAlertSolution {
    background-color: transparent;
    padding: 0px;
}